#-------------------------------------------------
#
# Project created by QtCreator 2014-02-12T16:04:50
#
#-------------------------------------------------

QT       += core gui webkit sql network dbus xml script
TARGET = qt_softwarecenter
TEMPLATE = app
CONFIG += C++11
LIBS += -L/home/nfs/workspace/cossoftcenter/plugins
LIBS +=  -lapt-pkg
LIBS += -lqjson
LIBS += -lglib-2.0
LIBS += -ldbus-1
LIBS += -ldbus-glib-1
LIBS += -lpolkit-gobject-1
LIBS += -lgio-2.0
LIBS += -lgobject-2.0
INCLUDEPATH +=/usr/include/dbus-1.0
INCLUDEPATH +=/usr/lib/x86_64-linux-gnu/dbus-1.0/include
INCLUDEPATH +=/usr/include/glib-2.0
INCLUDEPATH +=/usr/lib/x86_64-linux-gnu/glib-2.0/include
INCLUDEPATH +=/usr/include/polkit-1

#release
CONFIG += link_pkgconfig
PKGCONFIG += dbus-1  glib-2.0 dbus-glib-1 polkit-gobject-1 gio-2.0 gobject-2.0
QMAKE_RPATHDIR += /usr/share/cdos-softcenter/plugins

TRANSLATIONS += cdos_cn.ts
SOURCES += main.cpp\
        mainwindow.cpp \
    taskinfo.cpp \
    tasklist.cpp \
    js.cpp \
    taskmanager.cpp\
    softwaredao.cpp \
    checker.cpp \
    scanningsofts.cpp \
    aboutdialog.cpp \
    forumsdialog.cpp \
    isoftwaredao.cpp \
    isoftwaremanager.cpp \
    pkgupdatemanage.cpp \
    softcategorydao.cpp \
    jscallqt.cpp \
    apttaskmanager.cpp \
    qtcalljs.cpp\
    aptsourcedevicemanage.cpp \
    localsoftwaremanager.cpp \
    appdataupgrade.cpp \
    downloadfile.cpp \
    networkcheck.cpp \
    searchlogdao.cpp \
    netcardphyconcheck.cpp \
    apttaskdialog.cpp \
    repomanager.cpp \
    commentstatusdao.cpp \
    feedbackdialog.cpp \
    feedback_software.cpp \
    qpopbutton.cpp \
    qmyedit.cpp \
    terminalpkgactionmonitor.cpp \
    IMenu.cpp \
    updatelogdialog.cpp \
    errordialog.cpp \
    usersettings.cpp \
    syncdebthread.cpp \
    downdebthread.cpp \
    reposwitch.cpp \
    warningdialog.cpp \
    nfspkgcachefile.cpp \
    header.cpp \
    common.cpp \
    global.cpp \
    nfsdownloadop.cpp \
    nfspkgprogress.cpp \
    thread_class.cpp \
    nfsdownload_single.cpp \
    mydownload.cpp \
    serverconfig.cpp


HEADERS  += mainwindow.h \
    taskinfo.h \
    tasklist.h \
    js.h \
    taskmanager.h\
    sqlite.h \
    softwaremodel.h \
    softwaredao.h \
    common.h \
    checker.h \
    scanningsofts.h \
    aboutdialog.h \
    forumsdialog.h \
    isoftwaremodel.h \
    isoftwaredao.h \
    isoftwaremanager.h \
    pkgupdatemanage.h \
    softcategorymodel.h \
    softcategorydao.h \
    jscallqt.h \
    apttaskmanager.h \
    qtcalljs.h\
    aptsourcedevicemanage.h \
    localsoftwaremanager.h \
    appdataupgrade.h \
    downloadfile.h \
    networkcheck.h \
    searchlog.h \
    searchlogdao.h \
    netcardphyconcheck.h \
    apttaskdialog.h\
    ui_mainwindow.h \
    datapage.hpp \
    basemanager.hpp \
    sqlsession.hpp \
    repomanager.h \
    commentstatus.h \
    commentstatusdao.h \
    feedbackdialog.h \
    feedback_software.h \
    qpopbutton.h \
    qmyedit.h \
    terminalpkgactionmonitor.h \
    imenu.h \
    updatelogdialog.h \
    errordialog.h \
    usersettings.h \
    syncdebthread.h \
    downdebthread.h \
    uploadofflinecomment.h \
    reposwitch.h \
    warningdialog.h \
    config.h \
    apti18n.h \
    nfspkgcachefile.h \
    error_code.h \
    nfspkgprogress.h \
    global.h \
    nfsdownloadop.h \
    thread_class.h \
    nfsdownload_single.h \
    header.h \
    mydownload.h \
    serverconfig.h


FORMS    += \
    aboutdialog.ui \
    forumsdialog.ui \
    apttaskdialog.ui \
    feedbackdialog.ui \
    feedback_software.ui \
    updatelogdialog.ui \
    errordialog.ui \
    usersettings.ui \
    mainwindow.ui \
    warningdialog.ui

RESOURCES += \
    skin.qrc

OTHER_FILES += \
    apt-get-bash.py \
    apt-get-sudo.py \
    apt-get_wrapper.py \
    systray.py\
    systray_rc.py\
    check.sh \
    closeProcess.sh \
    softwarecenter.db \
    data/*\
    html/*\
    html/js/*\
    html/js/popup/*\
    html/js/fancyzoom/resources/* \
    html/js/fancyzoom/* \
    html/js/jrating/icons/* \
    html/js/jrating/* \
    html/js/artDialog/* \
    html/js/artDialog/skins/* \
    html/js/artDialog/skins/blue/* \
    html/js/artDialog/skins/blue/ie6/* \
    html/js/artDialog/skins/icons/* \
    html/css/*\
    html/images/*\
    html/*\
    html/js/*\
    html/js/popup/*\
    html/js/fancyzoom/resources/* \
    html/js/fancyzoom/* \
    html/js/jrating/icons/* \
    html/js/jrating/* \
    html/js/artDialog/* \
    html/js/artDialog/skins/* \
    html/js/artDialog/skins/blue/* \
    html/js/artDialog/skins/blue/ie6/* \
    html/js/artDialog/skins/icons/* \
    html/css/*\
    html/images/*\
    html/js/common.js \
    html/js/common_en.js \
    html/js/jscallqt.js \
    html/js/qtcalljs.js \
    html/list_softwares_new.html \
    html/js/stringbuffer.js \
    html/js/jquery.base64.js \
    html/css/style2.css \
    html/collocation.html \
    html/new.html


